Eclipse GEF 3.2

## org.eclipse.gef.handles
Class ResizeHandle

    java.lang.Object
      org.eclipse.draw2d.Figure
          org.eclipse.gef.handles.AbstractHandle
              org.eclipse.gef.handles.SquareHandle
                  org.eclipse.gef.handles.ResizeHandle

All Implemented Interfaces:
  AncestorListener, Handle, IFigure

public class ResizeHandle
extends SquareHandle

A Handle used to resize a GraphicalEditPart.

Nested Class Summary

Nested classes inherited from class org.eclipse.draw2d.Figure
`Figure.FigureIterator, Figure.IdentitySearch`

Nested classes inherited from class org.eclipse.draw2d.AncestorListener
`AncestorListener.Stub`

Nested classes inherited from class org.eclipse.draw2d.IFigure
`IFigure.NoInsets`

Field Summary

Fields inherited from class org.eclipse.gef.handles.SquareHandle
`DEFAULT_HANDLE_SIZE`

Fields inherited from class org.eclipse.draw2d.Figure
`bgColor, border, bounds, fgColor, flags, font, MAX_FLAG, maxSize, minSize, NO_MANAGER, prefSize, toolTip`

Fields inherited from interface org.eclipse.draw2d.IFigure
`MAX_DIMENSION, MIN_DIMENSION, NO_INSETS`

Constructor Summary
`ResizeHandle(GraphicalEditPart owner, int direction)` Creates a new ResizeHandle for the given GraphicalEditPart.
`ResizeHandle(GraphicalEditPart owner, Locator loc, Cursor c)` Creates a new ResizeHandle for the given GraphicalEditPart.

Method Summary
`protected DragTracker` `createDragTracker()` Returns `null` for the DragTracker.

Methods inherited from class org.eclipse.gef.handles.SquareHandle
`getBorderColor, getFillColor, init, isPrimary, paintFigure`

Methods inherited from class org.eclipse.gef.handles.AbstractHandle
`addNotify, ancestorAdded, ancestorMoved, ancestorRemoved, getAccessibleLocation, getDragCursor, getDragTracker, getLocator, getOwner, getOwnerFigure, removeNotify, setDragCursor, setDragTracker, setLocator, setOwner, validate`

Methods inherited from class org.eclipse.draw2d.Figure

`add, add, add, add, addAncestorListener, addCoordinateListener, addFigureListener, addFocusListener, addKeyListener, addLayoutListener, addListener, addMouseListener, addMouseMotionListener, addPropertyChangeListener, addPropertyChangeListener, containsPoint, containsPoint, erase, findDescendantAtExcluding, findFigureAt, findFigureAt, findFigureAt, findFigureAtExcluding, findMouseEventTargetAt, findMouseEventTargetInDescendantsAt, fireCoordinateSystemChanged, fireFigureMoved, fireMoved, firePropertyChange, firePropertyChange, firePropertyChange, getBackgroundColor, getBorder, getBounds, getChildren, getClientArea, getClientArea, getCursor, getFlag, getFont, getForegroundColor, getInsets, getLayoutManager, getListeners, getLocalBackgroundColor, getLocalFont, getLocalForegroundColor, getLocation, getMaximumSize, getMinimumSize, getMinimumSize, getParent, getPreferredSize, getPreferredSize, getSize, getToolTip, getUpdateManager, handleFocusGained, handleFocusLost, handleKeyPressed, handleKeyReleased, handleMouseDoubleClicked, handleMouseDragged, handleMouseEntered, handleMouseExited, handleMouseHover, handleMouseMoved, handleMousePressed, handleMouseReleased, hasFocus, internalGetEventDispatcher, intersects, invalidate, invalidateTree, isCoordinateSystem, isEnabled, isFocusTraversable, isMirrored, isMouseEventTarget, isOpaque, isRequestFocusEnabled, isShowing, isValid, isValidationRoot, isVisible, layout, paint, paintBorder, paintChildren, paintClientArea, primTranslate, remove, removeAll, removeAncestorListener, removeCoordinateListener, removeFigureListener, removeFocusListener, removeKeyListener, removeLayoutListener, removeListener, removeMouseListener, removeMouseMotionListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, revalidate, setBackgroundColor, setBorder, setBounds, setChildrenDirection, setChildrenEnabled, setChildrenOrientation, setConstraint, setCursor, setEnabled, setFlag, setFocusTraversable, setFont, setForegroundColor, setLayoutManager, setLocation, setMaximumSize, setMinimumSize, setOpaque, setParent, setPreferredSize, setPreferredSize, setRequestFocusEnabled, setSize, setSize, setToolTip, setValid, setVisible, translate, translateFromParent, translateToAbsolute, translateToParent, translateToRelative, useLocalCoordinates`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResizeHandle

    public ResizeHandle(GraphicalEditPart owner,
                        int direction)

  Creates a new ResizeHandle for the given GraphicalEditPart. `direction` is the relative direction from the center of the owner figure. For example, `SOUTH_EAST` would place the handle in the lower-right corner of its owner figure. These direction constants can be found in `PositionConstants`.

Parameters:
  `owner` - owner of the ResizeHandle
  `direction` - relative direction from the center of the owner figure

### ResizeHandle

    public ResizeHandle(GraphicalEditPart owner,
                        Locator loc,
                        Cursor c)

  Creates a new ResizeHandle for the given GraphicalEditPart.

See Also:
  `SquareHandle.SquareHandle(GraphicalEditPart, Locator, Cursor)`

Method Detail

### createDragTracker

    protected DragTracker createDragTracker()

  Returns `null` for the DragTracker.

  Specified by:
    `createDragTracker` in class `AbstractHandle`
  Returns:
    returns `null`

Eclipse GEF 3.2

Copyright (c) IBM Corp. and others 2000, 2006. All Rights Reserved.